Skip to main content
POST
/
api
/
files
/
v1
/
filesets
/
{fileSetId}
/
files
/
multipart
/
{fileId}
/
abort
Abort a split file upload.
curl --request POST \
  --url https://{subdomain}.domo.com/api/files/v1/filesets/{fileSetId}/files/multipart/{fileId}/abort \
  --header 'X-DOMO-Developer-Token: <api-key>'
{
  "file": {
    "id": "df5fd883-e5cb-4cbb-a158-0e9ff1d37097",
    "path": "sample/directory/path/PaidTimeOffPolicy.pdf",
    "name": "PaidTimeOffPolicy.pdf",
    "fileType": "DOCUMENT",
    "contentType": "application/pdf",
    "size": 69502,
    "hash": null,
    "hashAlgorithm": "SHA_256_HEX",
    "downloadUrl": null,
    "created": "2025-08-25T16:05:56.676Z",
    "createdBy": 27,
    "connectorKey": null,
    "indexStatus": null,
    "indexReason": null
  },
  "status": "FAILED"
}

Documentation Index

Fetch the complete documentation index at: https://domoinc-openapi-sync-documents.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-DOMO-Developer-Token
string
header
required

Path Parameters

fileSetId
string
required

The ID of the FileSet in which the file was being uploaded.

fileId
string
required

The ID of the file whose upload is to be aborted.

Response

Split file upload aborted successfully.

Represents the response after initiating a split file upload.

file
object

The file object containing the metadata known so far for the file to be uploaded.

status
enum<string>

The status of the upload process.

Available options:
CREATED,
PROCESSING,
SUCCESS,
FAILED,
UNKNOWN